#include <LiquidCrystal_I2C.h>

#define ANALOG_PIN A0

LiquidCrystal_I2C lcd(0x27, 16, 2);

void setup() {
  lcd.init();
  lcd.backlight();
}

void loop() {
  int analogValue = analogRead(ANALOG_PIN);
  int gauss = map(analogValue, 205, 819, -1000, 1000);

  lcd.clear();
  printCentered("SENSORE HALL", 0);
  printCentered(String(gauss) + " Gauss", 1);
  delay(200);
}

void printCentered(String text, int row) {
  lcd.setCursor((16 - text.length()) / 2, row);
  lcd.print(text);
}

