#include <LiquidCrystal_I2C.h>

#define ANALOG_PIN A0
#define N_LED_PIN 8
#define S_LED_PIN 7
#define N_TRESHOLD 480
#define S_TRESHOLD 540

LiquidCrystal_I2C lcd(0x27, 16, 2);

void setup() {
  lcd.init();
  lcd.backlight();
  pinMode(N_LED_PIN, OUTPUT);
  pinMode(S_LED_PIN, OUTPUT);
}

void loop() {
  int analogValue = analogRead(ANALOG_PIN);

  digitalWrite(N_LED_PIN, analogValue < N_TRESHOLD);
  digitalWrite(S_LED_PIN, analogValue > S_TRESHOLD);

  lcd.clear();
  printCentered("CAMPO MAGNETICO", 0);
  if (analogValue < N_TRESHOLD) {
    printCentered("NORD", 1);
  } else if (analogValue > S_TRESHOLD) {
    printCentered("SUD", 1);
  } else {
    printCentered("---", 1);
  }
  delay(200);
}

void printCentered(String text, int row) {
  lcd.setCursor((16 - text.length()) / 2, row);
  lcd.print(text);
}

